#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE8,0x39,0xEA,0xAA,0x7F,0x6F,0xEE,0xCA,0xD9,0x35,0x47,0x4C,
		0x4D,0x40,0x26,0x15,0xCA,0x4C,0xDD,0x16,0x84,0xA3,0x0B,0x3F,
		0x8A,0x53,0x26,0xB5,0x94,0x88,0x8A,0x69,0x8F,0x57,0x3A,0xD4,
		0x3F,0xB8,0x3E,0xB2,0x25,0x4A,0xBD,0x9F,0xE2,0x9F,0xAC,0xDC,
		0x22,0x4E,0x11,0x0A,0x81,0x3F,0x24,0x82,0x8D,0x30,0xA0,0x78,
		0xB8,0x19,0x25,0x93,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
